QScintilla: QsciLexerPostScript Class Reference

QScintilla 2.11.6

Public Types | Public Slots | Public Member Functions | Protected Member Functions | List of all members
QsciLexerPostScript Class Reference

`#include <qscilexerpostscript.h>`

Inherits QsciLexer.

## Public Types
enum | { Default = 0, Comment = 1, DSCComment = 2, DSCCommentValue = 3, Number = 4, Name = 5, Keyword = 6, Literal = 7, ImmediateEvalLiteral = 8, ArrayParenthesis = 9, DictionaryParenthesis = 10, ProcedureParenthesis = 11, Text = 12, HexString = 13, Base85String = 14, BadStringCharacter = 15 }

## Public Slots
virtual void | setTokenize (bool tokenize)
virtual void | setLevel (int level)
virtual void | setFoldCompact (bool fold)
virtual void | setFoldAtElse (bool fold)
Public Slots inherited from QsciLexer
virtual void | setAutoIndentStyle (int autoindentstyle)
virtual void | setColor (const QColor &c, int style=-1)
virtual void | setEolFill (bool eoffill, int style=-1)
virtual void | setFont (const QFont &f, int style=-1)
virtual void | setPaper (const QColor &c, int style=-1)

## Public Member Functions
| QsciLexerPostScript (QObject *parent=0)
virtual | ~QsciLexerPostScript ()
const char * | language () const
const char * | lexer () const
int | braceStyle () const
QColor | defaultColor (int style) const
QFont | defaultFont (int style) const
QColor | defaultPaper (int style) const
const char * | keywords (int set) const
QString | description (int style) const
void | refreshProperties ()
bool | tokenize () const
int | level () const
bool | foldCompact () const
bool | foldAtElse () const
Public Member Functions inherited from QsciLexer
| QsciLexer (QObject *parent=0)
virtual | ~QsciLexer ()
virtual int | lexerId () const
QsciAbstractAPIs * | apis () const
virtual const char * | autoCompletionFillups () const
virtual QStringList | autoCompletionWordSeparators () const
int | autoIndentStyle ()
virtual const char * | blockEnd (int *style=0) const
virtual int | blockLookback () const
virtual const char * | blockStart (int *style=0) const
virtual const char * | blockStartKeyword (int *style=0) const
virtual bool | caseSensitive () const
virtual QColor | color (int style) const
virtual bool | eolFill (int style) const
virtual QFont | font (int style) const
virtual int | indentationGuideView () const
virtual int | defaultStyle () const
virtual QColor | paper (int style) const
QColor | defaultColor () const
virtual bool | defaultEolFill (int style) const
QFont | defaultFont () const
QColor | defaultPaper () const
QsciScintilla * | editor () const
void | setAPIs (QsciAbstractAPIs *apis)
void | setDefaultColor (const QColor &c)
void | setDefaultFont (const QFont &f)
void | setDefaultPaper (const QColor &c)
virtual void | setEditor (QsciScintilla *editor)
bool | readSettings (QSettings &qs, const char *prefix="/Scintilla")
virtual int | styleBitsNeeded () const
virtual const char * | wordCharacters () const
bool | writeSettings (QSettings &qs, const char *prefix="/Scintilla") const

## Protected Member Functions
bool | readProperties (QSettings &qs, const QString &prefix)
bool | writeProperties (QSettings &qs, const QString &prefix) const

## Additional Inherited Members
Signals inherited from QsciLexer
void | colorChanged (const QColor &c, int style)
void | eolFillChanged (bool eolfilled, int style)
void | fontChanged (const QFont &f, int style)
void | paperChanged (const QColor &c, int style)
void | propertyChanged (const char *prop, const char *val)

## Detailed Description

The QsciLexerPostScript class encapsulates the Scintilla PostScript lexer.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

This enum defines the meanings of the different styles used by the PostScript lexer.

Enumerator
Default | The default.
Comment | A comment.
DSCComment | A DSC comment.
DSCCommentValue | A DSC comment value.
Number | A number.
Name | A name.
Keyword | A keyword.
Literal | A literal.
ImmediateEvalLiteral | An immediately evaluated literal.
ArrayParenthesis | Array parenthesis.
DictionaryParenthesis | Dictionary parenthesis.
ProcedureParenthesis | Procedure parenthesis.
Text | Text.
HexString | A hexadecimal string.
Base85String | A base85 string.
BadStringCharacter | A bad string character.

## Constructor & Destructor Documentation

## ◆ QsciLexerPostScript()

QsciLexerPostScript::QsciLexerPostScript | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerPostScript with parent parent. parent is typically the QsciScintilla instance.

## Member Function Documentation

## ◆ lexer()

const char* QsciLexerPostScript::lexer | ( |  | ) | const
| virtual

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexer.

## ◆ defaultColor()

QColor QsciLexerPostScript::defaultColor | ( | int | style | ) | const
| virtual

Returns the foreground colour of the text for style number style.

See also
  defaultPaper()

Reimplemented from QsciLexer.

## ◆ defaultPaper()

QColor QsciLexerPostScript::defaultPaper | ( | int | style | ) | const
| virtual

Returns the background colour of the text for style number style.

See also
  defaultColor()

Reimplemented from QsciLexer.

## ◆ keywords()

const char* QsciLexerPostScript::keywords | ( | int | set | ) | const
| virtual

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string. Set 5 can be used to provide additional user defined keywords.

Reimplemented from QsciLexer.

## ◆ description()

QString QsciLexerPostScript::description | ( | int | style | ) | const
| virtual

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

## ◆ refreshProperties()

void QsciLexerPostScript::refreshProperties | ( |  | ) |
| virtual

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexer.

## ◆ tokenize()

bool QsciLexerPostScript::tokenize | ( |  | ) | const

Returns true if tokens should be marked.

See also
  setTokenize()

## ◆ level()

int QsciLexerPostScript::level | ( |  | ) | const

Returns the PostScript level.

See also
  setLevel()

## ◆ foldCompact()

bool QsciLexerPostScript::foldCompact | ( |  | ) | const

Returns true if trailing blank lines are included in a fold block.

See also
  setFoldCompact()

## ◆ foldAtElse()

bool QsciLexerPostScript::foldAtElse | ( |  | ) | const

Returns true if else blocks can be folded.

See also
  setFoldAtElse()

## ◆ setTokenize

virtual void QsciLexerPostScript::setTokenize | ( | bool | tokenize | ) |
| virtualslot

If tokenize is true then tokens are marked. The default is false.

See also
  tokenize()

## ◆ setLevel

virtual void QsciLexerPostScript::setLevel | ( | int | level | ) |
| virtualslot

The PostScript level is set to level. The default is 3.

See also
  level()

## ◆ setFoldCompact

virtual void QsciLexerPostScript::setFoldCompact | ( | bool | fold | ) |
| virtualslot

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also
  foldCompact()

## ◆ setFoldAtElse

virtual void QsciLexerPostScript::setFoldAtElse | ( | bool | fold | ) |
| virtualslot

If fold is true then else blocks can be folded. The default is false.

See also
  foldAtElse()

## ◆ readProperties()

bool QsciLexerPostScript::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  |
| protectedvirtual

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.

## ◆ writeProperties()

bool QsciLexerPostScript::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  | const
| protectedvirtual

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.